API referenceBidding Spot Reference Data
POST /api/SpotReference/GetMarketGateInformation
Returns each Spot market's next applicable trading window and whether its gate is currently open. Gate open and close timestamps determine when orders may be submitted or cancelled.
POST
/api/SpotReference/GetMarketGateInformationcurl -X POST "/api/SpotReference/GetMarketGateInformation" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.Bidding.MarketGateInfoDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"marketId": 1,
"marketName": "string",
"gateOpen": "2026-01-15T09:30:00Z",
"gateClose": "2026-01-15T09:30:00Z",
"isOpen": true,
"referencePeriodStart": "2026-01-15T09:30:00Z",
"referencePeriodEnd": "2026-01-15T09:30:00Z",
"gateTimeZone": 0,
"tradingTimeZone": 0
}
]
}